# QOL Script for intra

This userscript automates the management of repository read access on the intra platform. With a simple click, you can either grant or revoke access for individual auditors, as well as perform bulk operations for all auditors.

## Installation

1. Browser Extension: Install a userscript manager like [Violentmonkey](https://violentmonkey.github.io/) in your browser.
2. Script Installation: [Click here](https://01.kood.tech/git/spitko/intra-qol-script/raw/branch/master/intra-qol.user.js) to install the userscript
3. Access Token: Navigate to [Gitea Applications Settings](https://01.kood.tech/git/user/settings/applications) and generate a new token. Press the `Save to localStorage` button next to the generated token to save the token into `localStorage`.

## Usage

1. Navigate to an exercise page: Open an exercise for which you have created a repository on Gitea.
2. Individual Access: Each auditor will have a button next to their name, either ✅ or ❌, which represents their current access status. Clicking it will toggle their access.
3. Bulk Operations: At the top of the auditor list, two buttons allow you to grant or revoke read access for all auditors at once.

![screenshot](screenshot.png)

## Issues and Contributions

If you encounter any issues while using this script or have suggestions for improvements, we encourage you to post them in this repository's Issues section.

Your feedback is valuable and helps improve the functionality and user experience of this script.
